import { API, DynamicPlatformPlugin, Logger, PlatformAccessory, PlatformConfig, Service, Characteristic, WithUUID } from 'homebridge';
/**
 * HomebridgePlatform
 * This class is the main constructor for your plugin, this is where you should
 * parse the user config and discover/register accessories with Homebridge.
 */
export declare class JuiceBoxHomebridgePlatform implements DynamicPlatformPlugin {
    readonly log: Logger;
    readonly config: PlatformConfig;
    readonly api: API;
    readonly Service: typeof Service;
    readonly Characteristic: typeof Characteristic;
    readonly accessories: PlatformAccessory[];
    readonly FakeGatoHistoryService: any;
    Volts: WithUUID<new () => Characteristic>;
    Amperes: WithUUID<new () => Characteristic>;
    Watts: WithUUID<new () => Characteristic>;
    KilowattHours: WithUUID<new () => Characteristic>;
    VoltAmperes: WithUUID<new () => Characteristic>;
    KilowattVoltAmpereHour: WithUUID<new () => Characteristic>;
    constructor(log: Logger, config: PlatformConfig, api: API);
    /**
     * This function is invoked when homebridge restores cached accessories from disk at startup.
     * It should be used to setup event handlers for characteristics and update respective values.
     */
    configureAccessory(accessory: PlatformAccessory): void;
    /**
     * Register discovered accessories.
     * Accessories must only be registered once, previously created accessories
     * must not be registered again to prevent "duplicate UUID" errors.
     */
    discoverDevices(): Promise<void>;
}
//# sourceMappingURL=platform.d.ts.map